---
apiVersion: v1
kind: Secret
metadata:
  name: gitea-webhook-token
  namespace: flux-system
type: Opaque
stringData:
  token: "change-me-to-random-string"
---
apiVersion: notification.toolkit.fluxcd.io/v1
kind: Receiver
metadata:
  name: neon-vortex-receiver
  namespace: flux-system
spec:
  type: gitea
  events:
    - "ping"
    - "push"
  secretRef:
    name: gitea-webhook-token
  resources:
    - apiVersion: source.toolkit.fluxcd.io/v1
      kind: GitRepository
      name: neon-vortex
      namespace: flux-system
    - apiVersion: kustomize.toolkit.fluxcd.io/v1
      kind: Kustomization
      name: neon-vortex-build
      namespace: flux-system
---
apiVersion: v1
kind: Service
metadata:
  name: receiver
  namespace: flux-system
spec:
  type: NodePort
  selector:
    app: notification-controller
  ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 9292
      nodePort: 30082
